Package org.springframework.aot.hint

# Class ExecutableHint.Builder

java.lang.Object
org.springframework.aot.hint.ExecutableHint.Builder

Enclosing class:
  ExecutableHint

public static class ExecutableHint.Builder extends Object
Builder for `ExecutableHint`.

## Method Summary

Modifier and Type
Method
Description
`ExecutableHint.Builder`
`withMode(ExecutableMode mode)`
Specify that the mode is required.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### withMode

public ExecutableHint.Builder withMode(ExecutableMode mode)
Specify that the mode is required.

Parameters:
  `mode` - the required mode
Returns:
  `this`, to facilitate method chaining